﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace SilverlightApplication1
{

	public class OrgItem : HierarchicalNodeViewModel
	{
		public OrgItem()
		{

		}

		public OrgItem(string label)
		{
			this.Label = label;
		}

		private string label;
		public string Label
		{
			get { return this.label; }
			set
			{
				if (this.label != value)
				{
					this.label = value;
					this.OnPropertyChanged("Label");
				}
			}
		}

		private BitmapImage imageSource;

		public BitmapImage ImageSource
		{
			get { return this.imageSource; }
			set
			{
				if (this.imageSource != value)
				{
					this.imageSource = value;
					this.OnPropertyChanged("ImageSource");
				}
			}
		}

		public string UriString
		{
			get;
			set;
		}
		

		public override string ToString()
		{
			return this.Label;
		}
	}
}